# Module `awful.widget.progressbar`

### Info:

- Author: Julien Danjou <julien@danjou.info>
- Copyright: 2009 Julien Danjou
- Release: v3.5.1

## Functions

set_border_color (progressbar, color) | Set the progressbar border color.
set_color (progressbar, color) | Set the progressbar foreground color.
set_background_color (progressbar, color) | Set the progressbar background color.
set_vertical (progressbar, vertical) | Set the progressbar to draw vertically.
set_ticks (progressbar, ticks) | Set the progressbar to draw ticks.
set_ticks_gap (progressbar, value) | Set the progressbar ticks gap.
set_ticks_size (progressbar, value) | Set the progressbar ticks size.
set_max_value (progressbar, value) | Set the maximum value the progressbar should handle.
progressbar:set_value (value) | Set the progressbar value.
progressbar:set_height (height) | Set the progressbar height.
progressbar:set_width (width) | Set the progressbar width.
new (args) | Create a progressbar widget.

## Tables

progressbar | A progressbar widget.

## Functions

set_border_color (progressbar, color)
  Set the progressbar border color. If the value is nil, no border will be drawn.

  ### Parameters:

  - progressbar The progressbar.
  - color The border color to set.
set_color (progressbar, color)
  Set the progressbar foreground color.

  ### Parameters:

  - progressbar The progressbar.
  - color The progressbar color.
set_background_color (progressbar, color)
  Set the progressbar background color.

  ### Parameters:

  - progressbar The progressbar.
  - color The progressbar background color.
set_vertical (progressbar, vertical)
  Set the progressbar to draw vertically. Default is false.

  ### Parameters:

  - progressbar The progressbar.
  - vertical A boolean value.
set_ticks (progressbar, ticks)
  Set the progressbar to draw ticks. Default is false.

  ### Parameters:

  - progressbar The progressbar.
  - ticks A boolean value.
set_ticks_gap (progressbar, value)
  Set the progressbar ticks gap.

  ### Parameters:

  - progressbar The progressbar.
  - value The value.
set_ticks_size (progressbar, value)
  Set the progressbar ticks size.

  ### Parameters:

  - progressbar The progressbar.
  - value The value.
set_max_value (progressbar, value)
  Set the maximum value the progressbar should handle.

  ### Parameters:

  - progressbar The progressbar.
  - value The value.
progressbar:set_value (value)
  Set the progressbar value.

  ### Parameters:

  - value The progress bar value between 0 and 1.
progressbar:set_height (height)
  Set the progressbar height.

  ### Parameters:

  - height The height to set.
progressbar:set_width (width)
  Set the progressbar width.

  ### Parameters:

  - width The width to set.
new (args)
  Create a progressbar widget. key to set progressbar geometry.

  ### Parameters:

  - args Standard widget() arguments. You should add width and height

  ### Returns:

  A progressbar widget.

## Tables

progressbar
  A progressbar widget. awful.widget.progressbar

  ### Fields:

  - mt

generated by LDoc 1.3